Subject: Re: bug#41201: 26.1; tar-mode-show-date prints middle-endian dates despite TIME_STYLE=long-iso

From: Stefan Kangas <[email-masked]>
Date: Tue, 1 Sep 2020 07:50:31 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked] (Trent W. Buck)
>> Date: Tue, 12 May 2020 14:40:02 +1000
>>
>> Middle-endian ("US style") dates confuse me.
>> I set TIME_STYLE=long-iso so I won't have to deal with them.
>> This works for GNU ls and GNU tar:
>>
>>     bash5$ touch x; ls -l x; tar cf x.tar x; tar tvf x.tar
>>     -rw-r--r-- 1 twb twb 0 2020-05-12 14:32 x
>>     -rw-r--r-- twb/twb           0 2020-05-12 14:32 x
>>
>> This doesn't work for tar-mode, because
>> it processes tarballs using native elisp:
>>
>>     bash5$ emacs -Q -eval '(setq-default tar-mode-show-date t)' x.tar
>>      -rw-r--r--     twb/twb           0 May 12 14:33 2020 x
>
> This is already fixed in what will become Emacs 27.1: there we display
> the date in the yy-mm-dd format.  You can find the latest pretest of
> Emacs 27.1 on alpha.gnu.org.

Since this is already fixed, I'm closing this bug report now.

Please reopen the bug or open a new one if you can still reproduce this
on Emacs 27.1 or later.